AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.Command
DatabasePutCommand Class
DatabasePutCommand Constructor
DatabasePutCommand Methods
DatabasePutCommand Properties

| DatabasePutCommand Class

Adds or updates an entry in the Asterisk database for a given family, key, and value.
Returns 1 if successful, 0 otherwise.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
DatabasePutCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class DatabasePutCommand : AGICommand

    Public Class DatabasePutCommand
    	Inherits AGICommand

    public ref class DatabasePutCommand : public AGICommand

    type DatabasePutCommand =
        class
            inherit AGICommand
        end

The DatabasePutCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| DatabasePutCommand | Creates a new DatabasePutCommand.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Family | Get/Set the family of the key to set.
| Key | Get/Set the the key to set.
| Value | Get/Set the value to set.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace